 #ifndef GLWIDGET_H
 #define GLWIDGET_H

//#include "trueeyes.h"
#include "GlobalValues.h"
#include <QtOpenGL/QGLWidget>
#include <QMouseEvent>

#include "rtsCamera.h"
#include "GL/glut.h"

 class GLWidget : public QGLWidget
 {
     Q_OBJECT

 private:
	 QPoint prevMouse;

 public:
     GLWidget(QWidget *parent = 0);
     ~GLWidget();

     QSize minimumSizeHint() const;
     QSize sizeHint() const;

 public slots:


 signals:


 protected:
     void initializeGL();
     void paintGL();
     void resizeGL(int width, int height);
     void mousePressEvent(QMouseEvent *event);
	 //void mouseReleaseEvent(QMouseEvent *event);
     void mouseMoveEvent(QMouseEvent *event);
	 //void keyPressEvent(QKeyEvent* event);

 private:

 };

 #endif