#include "trueeyes.h"
#include <QtGui/QApplication>

#include "GLWidget.h"
#include "rtsGUIConsole.h"

GLWidget* gpRenderWindow;

int main(int argc, char *argv[])
{
	//create the main application
	QApplication a(argc, argv);

	//create the UI window
	TrueEyes w;
	w.show();
	w.move(0, 0);
	QRect frame = w.frameGeometry();

	//create a console for debugging
	RedirectIOToConsole(0, frame.height(), frame.width());

	//create the render camera
	VolumeSource camera;
	camera.Name = "camera";
	SourceList.push_back(camera);

	//create the OpenGL render window
	gpRenderWindow = new GLWidget();
	gpRenderWindow->show();
	gpRenderWindow->setGeometry(frame.width(), 0, frame.height(), frame.height());



	return a.exec();

	cout<<"Removing all volume textures..."<<endl;
	//delete all textures
	for(int t=0; t<VolumeList.size(); t++)
		VolumeList[t].Texture.Clean();


}
